bitel.billing.server.contract.bean

## Class PersonalTariffManager

- java.lang.Object
- - bitel.billing.server.contract.bean.PersonalTariffManager

-     public class PersonalTariffManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonalTariffManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deletePersonalTariff(int id)` Удаляет персональный тариф по его коду
    `java.util.Set<java.lang.Integer>` | `getParentTreeTariffIds(int contractId, java.util.Date date)`
    `PersonalTariff` | `getPersonalTariff(int id)` Возвращает персональный тариф по его коду
    `java.util.List<PersonalTariff>` | `getPersonalTariffList(int cid)` Возвращает список персональный тарифов для данного договора
    `java.util.List<PersonalTariff>` | `getPersonalTariffList(int cid, java.util.Calendar time)` Deprecated. Использовать getPersonalTariffList( int cid, Date time )
    `java.util.List<PersonalTariff>` | `getPersonalTariffList(int cid, java.util.Date time)` Возвращает список персональный тарифов для данного договора на определенную дату
    `java.util.List<PersonalTariff>` | `getPersonalTariffList(int cid, java.util.Date date1, java.util.Date date2)` Возвращает список персональный тарифов для данного договора на определенный период
    `void` | `updatePersonalTariff(PersonalTariff tariff)` Обновляет персональный тариф

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonalTariffManager

          public PersonalTariffManager(java.sql.Connection con)

  - ### Method Detail

    - #### getPersonalTariffList

          public java.util.List<PersonalTariff> getPersonalTariffList(int cid)

      Возвращает список персональный тарифов для данного договора
      Parameters:
        `cid` - код договора
      Returns:

    - #### getPersonalTariffList

          @Deprecated
          public java.util.List<PersonalTariff> getPersonalTariffList(int cid,
                                                                                  java.util.Calendar time)

      Deprecated. Использовать getPersonalTariffList( int cid, Date time )
      Parameters:
        `cid` -
        `time` -
      Returns:

    - #### getPersonalTariffList

          public java.util.List<PersonalTariff> getPersonalTariffList(int cid,
                                                                      java.util.Date time)

      Возвращает список персональный тарифов для данного договора на определенную дату
      Parameters:
        `cid` - код договора
        `time` - дата
      Returns:

    - #### getPersonalTariffList

          public java.util.List<PersonalTariff> getPersonalTariffList(int cid,
                                                                      java.util.Date date1,
                                                                      java.util.Date date2)

      Возвращает список персональный тарифов для данного договора на определенный период
      Parameters:
        `cid` - код договора
        `date1` - начало периода
        `date2` - конец периода
      Returns:

    - #### updatePersonalTariff

          public void updatePersonalTariff(PersonalTariff tariff)

      Обновляет персональный тариф
      Parameters:
        `tariff` - тариф

    - #### deletePersonalTariff

          public void deletePersonalTariff(int id)

      Удаляет персональный тариф по его коду
      Parameters:
        `id` - код тарифа

    - #### getPersonalTariff

          public PersonalTariff getPersonalTariff(int id)

      Возвращает персональный тариф по его коду
      Parameters:
        `id` - код тарифа
      Returns:

    - #### getParentTreeTariffIds

          public java.util.Set<java.lang.Integer> getParentTreeTariffIds(int contractId,
                                                                         java.util.Date date)